# Created by pyp2rpm-3.3.2
%global pypi_name jsx-lexer

# no tests dir in sources from PYPI
%bcond_with test

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 2
Summary:        A JSX lexer for Pygments
Group:          Development/Python
License:        MIT License
URL:            https://github.com/fcurella/jsx-lexer
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
A JSX lexer for Pygments.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
A JSX lexer for Pygments.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsx

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 2.0.1-2.mga10
+ Revision: 2157199
- rebuild for python3.13

* Sun Jan 26 2025 papoteur <papoteur> 2.0.1-1.mga10
+ Revision: 2142606
- new version 2.0.1

* Mon Jan 29 2024 papoteur <papoteur> 1.0.0-3.mga10
+ Revision: 2035841
- rebuild for python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1825039
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 1.0.0-1.mga9
+ Revision: 1783921
- version 1.0.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.0.8-2.mga9
+ Revision: 1732371
- Rebuild for python 3.9

* Fri Jan 01 2021 neoclust <neoclust> 0.0.8-1.mga8
+ Revision: 1667589
- New version 0.0.8

* Sun Feb 16 2020 umeabot <umeabot> 0.0.7-3.mga8
+ Revision: 1535314
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 0.0.7-2.mga8
+ Revision: 1451722
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 0.0.7-1.mga8
+ Revision: 1430768
- imported package python-jsx-lexer

